Control Your Vera From Kodi

Well I do not know if this has been already reported and it was not developed by me but by G De Rosa (owner of a zwave shop in italy)

http://dev.vemarsas.it/projects/xbmc-vera/wiki/XBMC-Vera

here you have a plugin that will enable you to control automation right from your tv screen.
Please note that it is version 0.1

I am installing it right now to test.

in vera you then control kodi in a kind of escher loop :slight_smile:

Did this work for you? I tried it over the weekend and the plugin wouldnt load, got a dependencies not met error.

I just tried this too and got the same error. It appears that this was written in 2012 for a Vera 2, which at the time would have been running ?UI4? so may not work with UI5 or UI7.

If this did work, I would use it all the time.

I just tried this too and got the same error. It appears that this was written in 2012 for a Vera 2, which at the time would have been running ?UI4? so may not work with UI5 or UI7.

If this did work, I would use it all the time.[/quote]

…at this point, how would it know? Possibly a compatibility issue with the XBMC version, which has changed since 2012.

Made some progress and got it installed and displaying all my scenes.

I had to update the “addon.xml” file at the root of the zip to change the python dependency from version 1.0 to 2.1.0

import addon=“xbmc.python” version=“2.1.0”

When I try and execute a sceneit exits XMBC. I might try and spend some time figuring it out, but not sure if I will be able to.

This would be a fantastic add-on, and it shoes real promise. Matbe someone smarter than me can lend a hand?

I wish I could be of assistance, as I would love to have this plug-in working on my android TV box as well, but I am extremely challenged in the programming department

This may also help. I enabled debug and logged the error after doing the same modification to the python version that @fusion600 performed, and to no surprise, the same thing happened to me.

Here are the log files of the error that clearly points to specific lines in the ‘main.py’ file.

http://xbmclogs.com/show.php?id=408207

I have emailed the developer to see if he would be willing to help us out.

Let’s hope we can get this going.

@fusion600 are you using Gotham or Helix?

Helix

I have gotham 12.2 and helix boxes I can test it on.

The box I installed it on that didnt meet dependencies was helix.

[quote=“jaredrs1, post:11, topic:185004”]I have gotham 12.2 and helix boxes I can test it on.

The box I installed it on that didnt meet dependencies was helix.[/quote]

I’m running Gotham 13.0 with the same error occuring

I have also posted on the Kodi forums to see if anyone over there can help. @nickr is making an attempt to help out over there. We’ll see what comes of it.

I have found one that someone has partially working. I am now using it.

it can be found at http://windowsmediacenter.blogspot.co.uk/2014/10/do-you-use-micasaverde-vera-are-you.html

cw-kid is the member who took this on and made some good progress. his original thread is
http://forum.micasaverde.com/index.php/topic,28007.0.html

I remember seeing something about this add-on. I’m going to try it out and see if I am successful making any of it work. It seems that @cw-kid has already jumped thru a few of the hoops and has made a bit of progress. Let’s continue this discussion on the other post so it is all in one spot.